al_acknowledge_resize(3)

NAME

al_acknowledge_resize - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_acknowledge_resize(ALLEGRO_DISPLAY *display)

DESCRIPTION

When the user receives a [resize event]ALLEGRO_EVENT_DISPLAY_RESIZE(3) from a resizable display, if they wish the display to be resized they must call this function to let the graphics driver know that it can now resize the display. Returns true on success.

Adjusts the clipping rectangle to the full size of the backbuffer. This also resets the backbuffers projection transform to default orthographic transform (see al_use_projection_transform(3)).

Note that a resize event may be outdated by the time you acknowledge it; there could be further resize events generated in the meantime.

SEE ALSO

al_resize_display(3), ALLEGRO_EVENT(3)